Bug 129248

Summary: [request] FreeBSD's syslog(8) can't support log encoding in UTF-8
Product: Base System Reporter: CHAO Shin <quakelee>
Component: binAssignee: freebsd-bugs (Nobody) <bugs>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: 7.1-RELEASE   
Hardware: Any   
OS: Any   

Description CHAO Shin 2008-11-28 07:40:03 UTC
	Our applications want to use the syslog to log, but if our log's encoding is utf-8, the log content
became unreadble. It looks like that FreeBSD's syslogd(8) would just filter characters that have their highest bit set

Fix: 

N/A
Comment 1 Remko Lodder freebsd_committer 2008-11-28 14:19:37 UTC
State Changed
From-To: open->closed

From what I know we do not support utf/8 related things yet. So that 
explains thatyou cannot send utf-8 logs towards syslogd. There is work 
in progress to make this happen, lets wait for that. Thanks for trying 
to make freebsd better...
Comment 2 Remko Lodder freebsd_committer 2008-12-01 21:44:41 UTC
State Changed
From-To: closed->suspended

Reopen the ticket in state suspended, being marked as a 
request.
Comment 3 vpetrjaev 2010-10-26 08:46:23 UTC
Hello!

 

My proposal, to close request.

 

UTF-8 looks fine in logs, in case of -8 flag for syslogd specified.

For example, in rc.conf:

syslogd_flags="-8"

 

 

Example:

Default settings: 

Oct 26 11:38:25 srv fetchmail[1487]: awakened at ×.M-^BÏ.M-^@ÎÉË, 26
ÏË.M-^B.M-^OÂ.M-^@.M-^O 2010 Ç. 11:38:25

Oct 26 11:38:26 srv fetchmail[1487]: sleeping at ×.M-^BÏ.M-^@ÎÉË, 26
ÏË.M-^B.M-^OÂ.M-^@.M-^O 2010 Ç. 11:38:26 for 120 seconds

 

-8 flag specified:

Oct 26 11:42:27 srv fetchmail[1487]: awakened at ×ÔÏÒÎÉË, 26 ÏËÔÑÂÒÑ 2010 Ç.
11:42:27

Oct 26 11:42:27 srv fetchmail[1487]: sleeping at ×ÔÏÒÎÉË, 26 ÏËÔÑÂÒÑ 2010 Ç.
11:42:27 for 120 seconds

 

 

Best regards, Vadim

 

 
Comment 4 Bryan Drewery freebsd_committer 2014-02-12 22:52:09 UTC
State Changed
From-To: suspended->closed

Works with -8 flag